//  CSIntro_course2005_Lecture_09
//
//  Example 2
//
//  Output manipulation

//           
//      ,    
//       0  2 .
//          .
//  ,          

#include <iostream>
#include <iomanip>
#include <cmath>
using namespace std;

int main() 
{
double const pi=4.0*atan(1.0);  // definition of pi
double rads;                    // input angle in radians
double grad;                    // output in grads
double ddeg;                    // output in decimal degrees
double sec;                     // output decimal seconds of arc
double min;                     // internal  -  decimal minutes of arc

int ideg;                       // output integer degrees
int imin;                       // output integer minutes of arc
int radecim;                    // input parameter: decimals of radians
int gradecim;                   // input parameter: decimals of grads
int degdecim;                   // input parameter: decimals of degrees
int secdecim;                   // input parameter: decimals of seconds
int widrad;                     // internal  -  width of radians output
int widgrad;                    // internal  -  width of grads output
int widdeg;                     // internal  -  width of decimal degrees output
int widsec;                     // internal  -  width of seconds output
    
cout<<"\nEnter decimals for radians: ";
cin>>radecim;
widrad=radecim+4;
cout<<"Enter decimals for grads: ";
cin>>gradecim;
widgrad=gradecim+5;
cout<<"Enter decimals for degrees: ";
cin>>degdecim;
widdeg=degdecim+5;
cout<<"Enter decimals for seconds: ";
cin>>secdecim;
widsec=secdecim+4;
cout<<fixed;
	
do	
    {
    cout<<"\nRadians? ";
    cin>>rads;
    if ((rads>=0)&&(rads<2*pi))  {
        grad=rads*200/pi;
        ddeg=rads*180/pi;       // OR  ddeg=grad*0.9
        ideg=floor(ddeg);
        min=(ddeg-ideg)*60;
        imin=floor(min);
        sec=(min-imin)*60;
        
        cout<<setprecision(radecim)<<setw(widrad)<<rads<<" rad =";
        cout<<setprecision(gradecim)<<setw(widgrad)<<grad<<" grad =";
        cout<<setprecision(degdecim)<<setw(widdeg)<<ddeg<<" deg =";
        cout<<setw(4)<<ideg<<"o"<<setw(3)<<imin<<"'";
        cout<<setprecision(secdecim)<<setw(widsec)<<sec<<" ''";
        }
    }
while (!(rads<0));

system("pause");
return 0;
}	

